import 'package:flutter/material.dart';
import 'package:niogu_app/core/constants/app_font_size.dart';
import 'package:sizer/sizer.dart';

class SummaryTag extends StatelessWidget {
  final String text;
  final MaterialColor color;

  const SummaryTag({super.key, required this.text, required this.color});

  @override
  Widget build(BuildContext context) {
    final bool isTablet = 100.w > 600;
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 3.w, vertical: 0.5.h),
      decoration: BoxDecoration(
        color: color.shade50,
        borderRadius: BorderRadius.circular(4.5.w),
        border: Border.all(color: color.shade200),
      ),
      child: Text(
        text,
        style: TextStyle(
          color: color.shade700,
          fontSize: isTablet
              ? (AppFontSize.medium - 1.25).sp
              : (AppFontSize.small - 1.25).sp,
          fontWeight: FontWeight.bold,
        ),
      ),
    );
  }
}